summaryrefslogtreecommitdiffstats
path: root/development/cloc
diff options
context:
space:
mode:
author Jeremy Hansen2017-12-14 17:46:10 +0100
committer Willy Sudiarto Raharjo2017-12-16 01:32:07 +0100
commitd4cd1416216013e9128216be42adf220158c4c08 (patch)
treecd21d4e4d16953649ca63862e64da63f1e0e52ef /development/cloc
parent608783a298eef33abffc91b422e3aac5de31f7c9 (diff)
downloadslackbuilds-d4cd1416216013e9128216be42adf220158c4c08.tar.gz
development/cloc: Added (Count Lines of Code).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/cloc')
-rw-r--r--development/cloc/README4
-rw-r--r--development/cloc/cloc.SlackBuild88
-rw-r--r--development/cloc/cloc.info10
-rw-r--r--development/cloc/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/development/cloc/README b/development/cloc/README
new file mode 100644
index 0000000000..33fca87e42
--- /dev/null
+++ b/development/cloc/README
@@ -0,0 +1,4 @@
+cloc (Count Lines of Code)
+
+cloc counts blank lines, comment lines, and physical lines of source code
+in many programming languages.
diff --git a/development/cloc/cloc.SlackBuild b/development/cloc/cloc.SlackBuild
new file mode 100644
index 0000000000..eed69309c3
--- /dev/null
+++ b/development/cloc/cloc.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for cloc
+
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cloc
+VERSION=${VERSION:-1.74}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cd Unix
+
+make
+make install DESTDIR=$PKG man_prefix=/usr
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cloc/cloc.info b/development/cloc/cloc.info
new file mode 100644
index 0000000000..64f009492c
--- /dev/null
+++ b/development/cloc/cloc.info
@@ -0,0 +1,10 @@
+PRGNAM="cloc"
+VERSION="1.74"
+HOMEPAGE="https://github.com/AlDanial/cloc/"
+DOWNLOAD="https://github.com/AlDanial/cloc/archive/1.74/cloc-1.74.tar.gz"
+MD5SUM="29af3c4605b9da491a6efa4237495628"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Algorithm-Diff perl-Regexp-Common"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/development/cloc/slack-desc b/development/cloc/slack-desc
new file mode 100644
index 0000000000..242d326b71
--- /dev/null
+++ b/development/cloc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cloc: cloc (Count Lines of Code)
+cloc:
+cloc: cloc counts blank lines, comment lines, and physical lines of source
+cloc: code in many programming languages.
+cloc:
+cloc: HOMEPAGE: https://github.com/AlDanial/cloc/
+cloc:
+cloc:
+cloc:
+cloc:
+cloc: